#ifndef CDIFS_IOCTL_H
#define CDIFS_IOCTL_H

#define IOC_MAX_VOLUME_ID       33
#define IOC_MAX_ALBUM_ID        129
#define IOC_MAX_PUBLISHER_ID    129
#define IOC_MAX_PREPARER_ID     129
#define IOC_MAX_APPLICATION_ID  129
#define IOC_MAX_DATETIME        16

typedef struct
{
    BYTE     drive;
    unsigned nFiles;
    char     volume_id[ IOC_MAX_VOLUME_ID ];
    char     album_id[ IOC_MAX_ALBUM_ID ];
    char     publisher_id[ IOC_MAX_PUBLISHER_ID ];
    char     preparer_id[ IOC_MAX_PREPARER_ID ];
    char     application_id[ IOC_MAX_APPLICATION_ID ];
    char     creation_date[ IOC_MAX_DATETIME ];
    char     modification_date[ IOC_MAX_DATETIME ];
    char     expiration_date[ IOC_MAX_DATETIME ];
    char     effective_date[ IOC_MAX_DATETIME ];
    DWORD    volume_set_size;
    DWORD    volume_sequence_number;
} IOCS_CDIFS_VOLUME, *PIOCS_CDIFS_VOLUME;

#pragma warning( disable:4200 )

typedef struct
{
    DWORD             dwVolumes;
    IOCS_CDIFS_VOLUME volumes[];
} IOCS_CDIFS_VOLUMES, *PIOCS_CDIFS_VOLUMES;

#endif
