/**********************************************************************
 * error.h
 *
 * Author:      Vahur Sinijrv
 * Description: Error handling and printout.
 *
 * (c) 1997 - 2000 Vahur Sinijrv
 *
 * You are free to use any part of this source code, provided
 * that credit is given to author in such cases.
 *
 *********************************************************************/

#ifndef ERROR_H
#define ERROR_H

#define ERRW( str )   errorw( MODULE, _T( str ) )
#define ERR( str )    error( MODULE, _T( str ) )

void __cdecl error( const TCHAR* module, TCHAR* fmt, ... );
void __cdecl errorw( const TCHAR* module, TCHAR* fmt, ... );

#endif